Bug 69952 - upgrade gcc to 3.2
upgrade gcc to 3.2
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: distribution (Show other bugs)
limbo
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-26 16:01 EDT by matteo porta
Modified: 2015-01-07 18:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-26 16:01:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matteo porta 2002-07-26 16:01:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
on the gcc official site i read:
---
* GCC 3.2 has a number of C++ ABI fixes which make its C++ compiler generate
binary code which is incompatible with the C++ compilers found in earlier GCC
releases, including GCC 3.1 and GCC 3.1.1.
*  The C++ ABI now conforms to the V3 multi-vendor standard.
---
this is annoying: the 3.0 and 3.1 versions were already incompatible with 2.9x
versions and earlier, now it happens again for 3.2 !!!
in any case this is unavoidable, imho. you will have to upgrade the gcc to 3.2,
if not now then for redhat 8.1, so start now, drop gcc 3.1 and upgrade to 3.2,
you will have less problems later, i think.
hopefully gcc abi won't change  again after 3.2, so you will be able to mantain
compatibility for all of the redhat 8.x releases.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. n/a
2.
3.
	

Additional info:
Comment 1 Bill Nottingham 2002-07-29 00:20:07 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.